Update Document Status in Batch
curl --request PATCH \
--url https://{api_base_url}/datasets/{dataset_id}/documents/status/{action} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document_ids": [
"<string>"
]
}
'import requests
url = "https://{api_base_url}/datasets/{dataset_id}/documents/status/{action}"
payload = { "document_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({document_ids: ['<string>']})
};
fetch('https://{api_base_url}/datasets/{dataset_id}/documents/status/{action}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "success"
}{
"status": 400,
"code": "invalid_action",
"message": "Invalid action."
}{
"status": 403,
"code": "forbidden",
"message": "Insufficient permissions."
}{
"status": 404,
"code": "not_found",
"message": "Dataset not found."
}Documents
Update Document Status in Batch
Enable, disable, archive, or unarchive multiple documents at once.
PATCH
/
datasets
/
{dataset_id}
/
documents
/
status
/
{action}
Update Document Status in Batch
Authorizations
API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.
Path Parameters
Knowledge base ID.
enable to activate, disable to deactivate, archive to archive, un_archive to restore from archive.
Available options:
enable, disable, archive, un_archive Body
application/json
List of document IDs to update.
Response
Documents updated successfully.
Operation result.
⌘I